URGENT for upcoming release: Resolutions requiring dual link DVI on radeon result in no display

Bug #564559 reported by Adam Hill
44
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Critical
linux (Ubuntu)
High
Tim Gardner
Lucid
High
Tim Gardner
Maverick
High
Tim Gardner

Bug Description

Please see https://bugs.freedesktop.org/show_bug.cgi?id=27001

I assume that this is now ( as of yesterday ) in the upstream kernel. However, all kernels so far shipped with lucid have the issue and it would be good if it could be patched in the Ubuntu Lucid kernel before release.

The net effect is that anyone who has a monitor requiring dual-link DVI will have no display on upgrade or install of a version of lucid - and given the simplicity of the fix it is probably an annoyance that could be avoided!

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: linux-image-2.6.32-21-generic 2.6.32-21.31
Regression: Yes
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.32-21.31-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-21-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'CMI8768'/'C-Media CMI8768 at 0xe800, irq 21'
   Mixer name : 'CMedia PCI'
   Components : ''
   Controls : 41
   Simple ctrls : 22
Card1.Amixer.info:
 Card hw:1 'HDMI'/'HDA ATI HDMI at 0xfdfec000 irq 19'
   Mixer name : 'ATI ID aa01'
   Components : 'HDA:1002aa01,00aa0100,00100100'
   Controls : 0
   Simple ctrls : 0
Card1.Amixer.values:

Card2.Amixer.info:
 Card hw:2 'U0x46d0x8d7'/'USB Device 0x46d:0x8d7 at usb-0000:00:13.0-2, full speed'
   Mixer name : 'USB Mixer'
   Components : 'USB046d:08d7'
   Controls : 3
   Simple ctrls : 2
Date: Fri Apr 16 10:34:30 2010
HibernationDevice: RESUME=UUID=76888946-3b23-4849-8dca-165eaf24e869
InstallationMedia: Kubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100406.1)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.

 eth1 no wireless extensions.
MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-21-generic root=UUID=11f83c6e-5d14-452d-bb32-1746a4508331 ro crashkernel=384M-2G:64M,2G-:128M quiet splash
ProcEnviron:
 LANGUAGE=
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.34
RfKill:

SourcePackage: linux
dmi.bios.date: 10/31/2007
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P1.60
dmi.board.name: 4Core1333-FullHD
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP1.60:bd10/31/2007:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvn:rn4Core1333-FullHD:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To Be Filled By O.E.M.
dmi.product.version: To Be Filled By O.E.M.
dmi.sys.vendor: To Be Filled By O.E.M.

Revision history for this message
In , agd5f (agd5f) wrote :

Are you using a kms-enabled ddx (xf86-video-ati)? Please attach your xorg log and dmesg.

Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :

Created an attachment (id=33928)
dmesg from KMS boot

Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :

Created an attachment (id=33929)
Xorg.0.log from KMS boot

Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :

Well, I actually use xorg-xserer-video-radeon:

libdrm-radeon1 2.4.19+git20100307.04fd3872-0ubuntu0sarvatt
radeontool 1.6.0-1
xserver-xorg-video-radeon 1:6.12.191+git20100306.e7b41f8c-0ubuntu0sarvatt

and those lines in Xorg.0.log let me think that everything should be fine:

...
(II) [KMS] Kernel modesetting enabled.
...
(II) GLX: Initialized DRI2 GL provider for screen 0
...

Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :

Any progress on this one?

Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :

Created an attachment (id=34657)
Xorg.0.log from KMS boot on 2.6.34-rc3

Just tried kernel 2.6.34-rc3 (not from mainline, self compiled, no source changes).

Same result as before.

Software is fine, not complaining about anything. But there are some things that I noticed when booting with KMS enabled:

- no EDID detection of the monitor (driver does that in UMS)

- outputs get swapped finally:
(II) RADEON(0): Output DVI-0 using monitor section Dell 3007WFPHC
(II) RADEON(0): Output DIN has no monitor section
(II) RADEON(0): Output DVI-1 has no monitor section
(II) RADEON(0): Output DVI-0 disconnected
(II) RADEON(0): Output DIN disconnected
(II) RADEON(0): Output DVI-1 connected
(II) RADEON(0): Using exact sizes for initial modes
(II) RADEON(0): Output DVI-1 using initial mode 2560x1600

With UMS this results in DVI-0 becoming connected. The log says previously that the driver detected the monitor on DVI-1 which is incorrect so the final swapping corrects the output. With KMS however the initial detection is correct and the output swapping seems to make it wrong.

Revision history for this message
In , Adam Hill (sidepipeuk) wrote :

Created an attachment (id=34960)
Diff between KMS and UMS in Xorg.0.log

This is a diff between the output in /var/log/Xorg.0.log when booted with KMS vs UMS

Revision history for this message
In , Adam Hill (sidepipeuk) wrote :

Just to confirm that I have exactly the same issue... different motherboard ( 4core1333-FullHD FWiW ) but interestingly the same monitor. The system is 100% responsive but with no graphics, so I can log in to the machine via SSH for example.

I guess that the only interesting thing about the monitor is its high resolution ( 2560x1600 ) which requires the use of dual link DVI.

The only interesting thing about the motherboard is that it also has a built in Radeon card but it doesn't support dual-link. This doesn't appear to be causing any issues.

I attached a diff of the Xorg.0.log above just in case it is useful.

Revision history for this message
In , Adam Hill (sidepipeuk) wrote :

Created an attachment (id=34961)
Drm related lines from dmesg for KMS boot

Sorry for posting three comments in one hour! It just struck me that actually there is no sort of splash screen with KMS enabled, and the colours described by Ancoron appear very early in the boot ( though seem to be just a blank screen for me with the rc3 kernel. ) Therefore it may be that the problem is when the radeon module is set up initially during kernel boot rather than when X loads.

I really don't know the relationship between the "radeon" module and the Xorg drivers, and so this may not be the right place if it is the module - if that is the case a pointer as to where it should be posted would be appreciated.

Again though, just in case, the drm related messaged from dmesg during a KMS enabled boot are attached. Without KMS there are only two lines, which I guess is expected.

Revision history for this message
In , agd5f (agd5f) wrote :

(In reply to comment #6)
> With UMS this results in DVI-0 becoming connected. The log says previously that
> the driver detected the monitor on DVI-1 which is incorrect so the final
> swapping corrects the output. With KMS however the initial detection is correct
> and the output swapping seems to make it wrong.

The output order is reversed between UMS and KMS. So the output is correct.

Revision history for this message
In , agd5f (agd5f) wrote :

(In reply to comment #6)
> Just tried kernel 2.6.34-rc3 (not from mainline, self compiled, no source
> changes).
> - no EDID detection of the monitor (driver does that in UMS)

Can you attach your dmesg from 2.6.34-rc3? I suspect you need this patch:
http://git.kernel.org/?p=linux/kernel/git/airlied/drm-2.6.git;a=commitdiff;h=95beb690170e6ce918fe53c73a0fcc7cf64d704a

Finally, can you try 2.6.33 with the new_pll=0 radeon module param? E.g., set it when you load radeon:
modprobe radeon modeset=1 new_pll=0
or on the kernel command line:
radeon.new_pll=0

Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :

Created an attachment (id=34990)
dmesg from 2.6.34-rc3 without patch

The patch you mentioned doesn't apply to the torvalds rc3 tree (a lot of other changes here).

Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :

Created an attachment (id=34991)
dmesg from 2.6.34-rc2 (airlied drm) up to commit 95beb690170e6ce918fe53c73a0fcc7cf64d704a

Doesn't change anything here.

Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :

Created an attachment (id=34992)
dmesg from 2.6.33 mainline with new_pll=0

Again, no change in behavior.

Revision history for this message
In , Adam Hill (sidepipeuk) wrote :

Not sure that I made it clear in my comments, but I'm using a completely different card ( HD4350 ) and so the glaring commonality was the monitor.

Just to prove it, I've just dug out a different monitor - this one is a Dell IN2010N at 1600x900... lo and behold this monitor works with KMS enabled. So I can't say for sure because I know nothing about the code, but "something to do with dual link DVI" would seem to be the most likely conclusion!

One other thing that I've noticed... at 2560x1600 on the 30 inch ( obviously with UMS ) I get really bad screen corruption in pretty much all apps. Scrolling pages seems to result in the bitmap not matching what was on screen previously, and so when you move the mouse over parts of the scrolled window it becomes obvious that what you see isn't what X actually thinks is there. Also, the KMail icon menu just completely corrupts after a ( short ) while, and again moving the mouse over it brings back the icons as they animate for the mouse over action. I realise that this may be a completely different bug, but I mention it because with the 1600x900 monitor and KMS it seems to not be happening...

Revision history for this message
In , agd5f (agd5f) wrote :

Please try dumping the registers when using kms and ums using avivotool as root:
avivotool regs all > ums.regs
avivotool regs all > kms.regs
And attach the dumps here. Please specify what versions of xf86-video-ati and kernel you used to make the dumps.

Revision history for this message
In , agd5f (agd5f) wrote :

avivotool is part of radeontool:
http://cgit.freedesktop.org/~airlied/radeontool

Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :

(In reply to comment #15)
> Just to prove it, I've just dug out a different monitor - this one is a Dell
> IN2010N at 1600x900... lo and behold this monitor works with KMS enabled. So I
> can't say for sure because I know nothing about the code, but "something to do
> with dual link DVI" would seem to be the most likely conclusion!

I didn't get the chance to test that as I don't have any monitor left that has a lower resolution. So combining our experiences it really looks like a DualLink-DVI signal problem.

> One other thing that I've noticed... at 2560x1600 on the 30 inch ( obviously
> with UMS ) I get really bad screen corruption in pretty much all apps.
> Scrolling pages seems to result in the bitmap not matching what was on screen
> previously, and so when you move the mouse over parts of the scrolled window it
> becomes obvious that what you see isn't what X actually thinks is there. Also,
> the KMail icon menu just completely corrupts after a ( short ) while, and again
> moving the mouse over it brings back the icons as they animate for the mouse
> over action. I realise that this may be a completely different bug, but I
> mention it because with the 1600x900 monitor and KMS it seems to not be
> happening...

Yes, me too (only for those corruptions when scrolling with nearly all applications - firefox, thundebird, kate, mousepad, konsole, gimp, gwenview, etc., but not with e.g. dolphin or amarok). Icons and the like are fine for me (KDE4 and XFCE). But I think that's another thing as this was introduced some time ago (I think from another DRM pull from upstream into Ubuntu Lucid).

Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :

Created an attachment (id=35024)
registers from 2.6.32 +drm 2.6.33 ubuntu lucid (KMS)

Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :

Created an attachment (id=35025)
registers from 2.6.32 +drm 2.6.33 ubuntu lucid (UMS)

Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :

Created an attachment (id=35026)
registers from 2.6.33 mainline (KMS)

Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :

Created an attachment (id=35027)
registers from 2.6.33 mainline (UMS)

Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :

Created an attachment (id=35028)
registers from 2.6.34-rc2 airlied (KMS)

Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :

Created an attachment (id=35029)
registers from 2.6.34-rc2 airlied (UMS)

Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :

Created an attachment (id=35030)
registers from 2.6.34-rc3 (KMS)

Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :

Created an attachment (id=35031)
registers from 2.6.34-rc3 (UMS)

Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :

Created an attachment (id=35032)
Screenshot of the scrolling corruptions

I don't really think that this is related to this bug here but just to be sure I'm attaching this screenshot for verification.

This scrolling problem do appear with all tested kernels:
- 2.6.32+drm2.6.33 (Ubuntu Lucid)
- 2.6.33 mainline
- 2.6.34-rc2 airlied
- 2.6.34-rc3

So I think this is related to the driver and not the drm kernel part.

Revision history for this message
In , agd5f (agd5f) wrote :

(In reply to comment #27)
> Created an attachment (id=35032) [details]
> Screenshot of the scrolling corruptions
>
> I don't really think that this is related to this bug here but just to be sure
> I'm attaching this screenshot for verification.
>

Not related. Please file a different bug for that.

Revision history for this message
In , agd5f (agd5f) wrote :

are you sure you are using the same mode for both ums and kms? The regs seem to indicate that ums is using 1280x800. check xrandr and make sure you are using 2560x1600 for both ums and kms and then dump the regs.

Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :
Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :

(In reply to comment #29)
> are you sure you are using the same mode for both ums and kms? The regs seem
> to indicate that ums is using 1280x800. check xrandr and make sure you are
> using 2560x1600 for both ums and kms and then dump the regs.

Yes, I'm 100% sure that I'm using 2560x1600 with KMS and UMS:

$ xrandr
Screen 0: minimum 320 x 200, current 2560 x 1600, maximum 2560 x 1600
DVI-1 disconnected (normal left inverted right x axis y axis)
DVI-0 connected 2560x1600+0+0 (normal left inverted right x axis y axis) 646mm x 406mm
   2560x1600 59.9*
   1280x800 59.9

Revision history for this message
In , agd5f (agd5f) wrote :

Can you attach the ums xorg log?

Revision history for this message
In , agd5f (agd5f) wrote :

Also, does the monitor work on the other DVI port?

Revision history for this message
In , agd5f (agd5f) wrote :

Does the following fix the kms DVI output on the RV740:
avivotool regset 0x76b0 0x00011031

Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :

Created an attachment (id=35048)
Xorg.0.log with UMS

(In reply to comment #33)
> Also, does the monitor work on the other DVI port?

Yes, it does:

$ xrandr
Screen 0: minimum 320 x 200, current 2560 x 1600, maximum 2560 x 1600
DVI-1 connected 2560x1600+0+0 (normal left inverted right x axis y axis) 646mm x 406mm
   2560x1600 59.9*
   1280x800 59.9
DVI-0 disconnected (normal left inverted right x axis y axis)

Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :

(In reply to comment #34)
> Does the following fix the kms DVI output on the RV740:
> avivotool regset 0x76b0 0x00011031

Yes it does! :)

I'm writing this with KMS right now. Cool. And finally 2560x1600 virtual terminals...

[off-topic]...if I only would have that at work... *dream*[/off-topic]

Revision history for this message
In , Adam Hill (sidepipeuk) wrote :

On the off chance I tried the same and it didn't work for me, but then I sort of guessed that it might not because of my different chip ( RV710 ) and also that the registers probably relate to specific outputs or whatever.

So, after some guesswork and looking at which registers changed between KMS and UMS and not over time, and looking at the change that Alex suggested for Ancoron, I came up with:

avivotool regset 0x7fd0 0x00011001

( The incorrect/previous value was 0x00010001 )

which fixes the problem for me :). I'm sure that Alex could have told me that since he obviously has an idea of what the registers actually do rather than my "needle in a haystack" approach!

So thanks for looking at this Alex - I'm now a happy bunny.

Revision history for this message
In , agd5f (agd5f) wrote :

Created an attachment (id=35071)
fix

This drm patch should fix the issue.

Revision history for this message
In , Ancoron Luciferis (ancoron-luciferis) wrote :

(In reply to comment #38)
> Created an attachment (id=35071) [details]
> fix
>
> This drm patch should fix the issue.

Yes, indeed it does. :)

Wow, those new splash things really look nice.

Thanx Alex!

Revision history for this message
In , Adam Hill (sidepipeuk) wrote :

Yep, fixed here too. Thanks again Alex.

Revision history for this message
In , agd5f (agd5f) wrote :

Patch sent to Dave.

Revision history for this message
Adam Hill (sidepipe) wrote : URGENT for upcomming release: Resolutions requiring dual link DVI on radeon result in no display

Please see https://bugs.freedesktop.org/show_bug.cgi?id=27001

I assume that this is now ( as of yesterday ) in the upstream kernel. However, all kernels so far shipped with lucid have the issue and it would be good if it could be patched in the Ubuntu Lucid kernel before release.

The net effect is that anyone who has a monitor requiring dual-link DVI will have no display on upgrade or install of a version of lucid - and given the simplicity of the fix it is probably an annoyance that could be avoided!

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: linux-image-2.6.32-21-generic 2.6.32-21.31
Regression: Yes
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.32-21.31-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-21-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'CMI8768'/'C-Media CMI8768 at 0xe800, irq 21'
   Mixer name : 'CMedia PCI'
   Components : ''
   Controls : 41
   Simple ctrls : 22
Card1.Amixer.info:
 Card hw:1 'HDMI'/'HDA ATI HDMI at 0xfdfec000 irq 19'
   Mixer name : 'ATI ID aa01'
   Components : 'HDA:1002aa01,00aa0100,00100100'
   Controls : 0
   Simple ctrls : 0
Card1.Amixer.values:

Card2.Amixer.info:
 Card hw:2 'U0x46d0x8d7'/'USB Device 0x46d:0x8d7 at usb-0000:00:13.0-2, full speed'
   Mixer name : 'USB Mixer'
   Components : 'USB046d:08d7'
   Controls : 3
   Simple ctrls : 2
Date: Fri Apr 16 10:34:30 2010
HibernationDevice: RESUME=UUID=76888946-3b23-4849-8dca-165eaf24e869
InstallationMedia: Kubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100406.1)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.

 eth1 no wireless extensions.
MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-21-generic root=UUID=11f83c6e-5d14-452d-bb32-1746a4508331 ro crashkernel=384M-2G:64M,2G-:128M quiet splash
ProcEnviron:
 LANGUAGE=
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.34
RfKill:

SourcePackage: linux
dmi.bios.date: 10/31/2007
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P1.60
dmi.board.name: 4Core1333-FullHD
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP1.60:bd10/31/2007:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvn:rn4Core1333-FullHD:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To Be Filled By O.E.M.
dmi.product.version: To Be Filled By O.E.M.
dmi.sys.vendor: To Be Filled By O.E.M.

Revision history for this message
Adam Hill (sidepipe) wrote :
Revision history for this message
Ancoron Luziferis (ancoron) wrote :

This is a patch made according to the upstream patch and it fixes the issue with KMS and DualLink monitors.

According to upstream the fix should be included in the final 2.6.34.

Revision history for this message
In , agd5f (agd5f) wrote :

*** Bug 26787 has been marked as a duplicate of this bug. ***

Revision history for this message
In , Shado23 (shado23) wrote :

(In reply to comment #42)
> *** Bug 26787 has been marked as a duplicate of this bug. ***

Works fine for me.

Thanks for fixing this.

Bryce Harrington (bryce)
summary: - URGENT for upcomming release: Resolutions requiring dual link DVI on
+ URGENT for upcoming release: Resolutions requiring dual link DVI on
radeon result in no display
tags: added: xorg-needs-kernel-fix
Changed in linux (Ubuntu):
status: New → Triaged
Changed in linux (Ubuntu Lucid):
importance: Undecided → High
assignee: nobody → Andy Whitcroft (apw)
Tim Gardner (timg-tpi)
Changed in linux (Ubuntu Lucid):
assignee: Andy Whitcroft (apw) → Tim Gardner (timg-tpi)
Revision history for this message
Tim Gardner (timg-tpi) wrote :

Adam, Anacron - Please confirm that the appropriate test kernel in http://kernel.ubuntu.com/~rtg/lp564559 works for you.

Revision history for this message
Adam Hill (sidepipe) wrote :

Yep, works here ( tried the amd64 generic kernel. )

Thanks Tim.

Revision history for this message
Tim Gardner (timg-tpi) wrote :

SRU Justification

Impact: Radeon dual DVI fails to work

Patch Description: Detect that 2 monitors are connected and initialize accordingly

Patch: https://bugs.edge.launchpad.net/ubuntu/lucid/+source/linux/+bug/564559/comments/2

Test results: https://bugs.edge.launchpad.net/ubuntu/lucid/+source/linux/+bug/564559/comments/4

Changed in linux (Ubuntu Lucid):
status: Triaged → In Progress
milestone: none → ubuntu-10.04
Revision history for this message
Adam Hill (sidepipe) wrote :

Hi Tim. Sorry, not that it should make a difference but your Impact/Description in #5 is slightly wrong. The impact is that dual-link ( not dual ) DVI fails to work, and the patch checks for a pixel clock above that of single-link and initialises dual-link accordingly.

Thought that I'd better point this out because the impact is that there is no display on a single monitor rather than just one of two, hence rather more immediately serious!

Revision history for this message
Ancoron Luziferis (ancoron) wrote :

Confirmed over here too, so all seems fine.

Adam is correct complaining about the description.

Nevertheless another problem solved for the final release. :-)

Now if someone can point me to the KMS KDE4 effects performance issue?

Revision history for this message
Steve Langasek (vorlon) wrote :

As an SRU, ubuntu-10.04 is explicitly /not/ the right milestone :) - setting to lucid-updates.

Changed in linux (Ubuntu Lucid):
milestone: ubuntu-10.04 → lucid-updates
Andy Whitcroft (apw)
Changed in linux (Ubuntu Lucid):
status: In Progress → Fix Committed
Revision history for this message
Matej Kenda (matejken) wrote :

I have very similar problem with ATI Technologies Inc Radeon Mobility HD 3670.

By using latest upstream kernel (2.6.34-999-generic #201004211003) it is possible to use dual head, but the cable for the external monitor may be connected only after I log in.

If the cable is connected before login prompt then both screens become black when login should appear (boot splash is displayed). Note that I use Kubuntu, didn't try on Ubuntu yet).

I tried the kernel mentioned in Comment 3, but it didn't help.

Revision history for this message
Matej Kenda (matejken) wrote :

An add-on to my previous comment: workaround is to disable kernel modesetting: dual head works nicely. However I think that we want KMS, don't we?

Revision history for this message
Ancoron Luziferis (ancoron) wrote :

Kubuntu and Ubuntu are the same in terms of kernel/drm/kms stuff.

If you get a black screen after the boot splash you are not affected by this bug.

In addition this bug is about a dual-link DVI issue and has nothing to do with dual-head setups (remember, dual-link DVI is for digital signals higher than WUXGA [1920 × 1200]).

So you'll have to see if there is another bug available that looks like yours or just file a new one.

Revision history for this message
Matej Kenda (matejken) wrote :

Ancoron, I misunderstood the problem described in this bug. i apologise for causing confusion.

Revision history for this message
Testing Tigerwolf (testing.tigerwolf) wrote :

When will this problem fix released in Lucid ?

Revision history for this message
Ancoron Luziferis (ancoron) wrote :

Apparently not in 2.6.32-22.

On 04/21/2010 11:59 AM, Andy Whitcroft wrote:
> Applied to Lucid.
>
> -apw
>

So I thought it would make it into 2.6.32-22, which got released on 2010-04-28, but the only changes are:

linux (2.6.32-22.33) lucid-proposed; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: ACPI: EC: Allow multibyte access to EC (v3)
    - LP: #526354

  [ Tim Gardner ]

  * ubuntu: rtl8192se -- update to version 0015.0127.2010
    - LP: #567016
 -- Andy Whitcroft <email address hidden> Mon, 19 Apr 2010 11:06:35 +0100

So we have to wait...

Gary M (garym)
tags: added: regression-release
removed: regression-proposed
Revision history for this message
thehighhat (thehighhat) wrote :

This is still an issue for this hardware:
HP LP3065 (2560x1600 native)
on Tyan S7025
with NVIDIA GTX285 and ATI/AMD 5850 gpus.

This KMS bug is a showstopper. The monitor is unusable. nomodeset does not fix the issue.

Manoj Iyer (manjo)
tags: added: kernel-graphics
Revision history for this message
thehighhat (thehighhat) wrote :

Can the bug summary title be changed?

This may help the bug gain some visibility.

Finally, it is not "Fixed" at all, even in lucid-updates. This too should change.

Currently it suggest the issue is pre-release and limited to radeon. This is not the case. Dual-link DVI at 2560x1600 ("professional" monitors) does not work properly in Lucid. This applies to both Nvidia and AMD/ATI chipsets.

Also, this breakage may be related to Bug #542536 issues with VT switching. The console is not visible. An alt-Fn will "switch", but the display remains static so its worthless.

Revision history for this message
Ancoron Luziferis (ancoron) wrote :

@thehighhat:

as described in the freedesktop bug on my side it works with UMS ("radeon.modeset=0" boot command, I think "nomodeset" has been deprecated). Although I use the xorg-edgers PPA drivers, not the official Lucid ones. Give it a shot.

This bug is clearly about radeon and just provides a fix for radeon KMS, so if there is a similar problem for nVidia cards please file a new bug. Also I see that there hasn't been filed a bug on freedesktop.org for the nouveau driver lately. Please file there first.

Revision history for this message
thehighhat (thehighhat) wrote :

OK. I was unaware that "nomodeset" was deprecated. Fair enough.

*.modeset=0 does not work for either the nvidia or radeon hardware. I actually tried this first before settling on nomodeset.

I do not see how this bug is marked fixed. It seems that requiring a user to add special boot options (when the display does not even work) and depending upon PPA is not optimal.

Fixed to me would mean that the detection of problematic hardware happens automatically and the appropriate boot option are added transparently to the user. Or, that the 2.6.34 kernel updates get backported into the LTS kernel (this is approach redhat takes).

There are other bugs referencing this problem that are marked as duplicate. The general description here (dual-link DVI modes are broken) is appropriate. And this bug is not limited to radeon, but also nvidia (I have not tested intel, matrox, etc.). Also, the title suggests it is a pre-release issue. Lucid released a month ago. The bug persists.

Don't get me wrong. I like the PPA tools. And I am glad that a knowledgeable user can add boot options. I just think that these things are not fixes per se. They are tips to help a user deal with broken product.

Revision history for this message
thehighhat (thehighhat) wrote :

last thing... I am not suggesting that the freedesktop bug 27001 is not fixed. i only mean that the packages/configuration in the Lucid release is not fixed.

Revision history for this message
Steve Langasek (vorlon) wrote : Re: [Bug 564559] Re: URGENT for upcoming release: Resolutions requiring dual link DVI on radeon result in no display

On Thu, May 27, 2010 at 03:59:03PM -0000, thehighhat wrote:

> OK. I was unaware that "nomodeset" was deprecated. Fair enough.

It's not deprecated.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Revision history for this message
Ancoron Luziferis (ancoron) wrote :

@Steve: You are 100% right, Sir. Mixed that up with some other things in my brain... :-)

@thehighhat: The "fix" for the duallink DVI radeon KMS is not using UMS and the xorg-edgers PPA. It is just a workaround for now and only for radeon. The real fix is the patch I provided wit comment #2.

If your radeon setup doesn't work with UMS please file a new bug here and on freedesktop.org. If your radeon setup doesn't work with KMS even if you build the Lucid kernel with the patch included (see here for instructions: https://help.ubuntu.com/community/Kernel/Compile) then you'll also have to file a new bug.

As I said already I checked the nouveau project and there is no bug regarding duallink DVI in the last few months. However there is a bug report from 2009-09-08 that seems to be interesting: https://bugs.freedesktop.org/show_bug.cgi?id=23495

There one of the developers states: "... Now, we don't know exactly how to program dual-link as of yet ..."

So your nVidia setup might be a bit of a problem though. Did you test nouveau with the latest mainstream kernel as suggested by the xorg-edgers PPA? You can also use the latest DRM for testing: http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-next/current/

Please test those with your setup. It will help provide a better fix.

Martin Pitt (pitti)
Changed in linux (Ubuntu Maverick):
milestone: lucid-updates → maverick-alpha-2
Revision history for this message
Martin Pitt (pitti) wrote : Please test proposed package

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Revision history for this message
Jason Gerard DeRose (jderose) wrote :

Works for me. Steps I took test:

1) I edited /etc/grub/default and commented-out the line "GRUB_CMDLINE_LINUX="nomodeset"

2) I enabled lucid-proposed and did a reload in Synaptic

3) I installed the linux-image-2.6.32-23-generic package

After a hard-reboot, KMS appears to work correctly, and dmesg seems to agree:

jderose@jgd-ws:~$ dmesg | grep radeon
[ 1.132340] [drm] radeon defaulting to kernel modesetting.
[ 1.132342] [drm] radeon kernel modesetting enabled.
[ 1.132378] radeon 0000:04:00.0: PCI INT A -> GSI 24 (level, low) -> IRQ 24
[ 1.132382] radeon 0000:04:00.0: setting latency timer to 64
[ 1.133239] [drm] radeon: Initializing kernel modesetting.
[ 1.133407] [drm] radeon: 256M of VRAM memory ready
[ 1.133408] [drm] radeon: 512M of GTT memory ready.
[ 1.133446] radeon 0000:04:00.0: irq 57 for MSI/MSI-X
[ 1.133450] [drm] radeon: using MSI.
[ 1.133478] [drm] radeon: irq initialized.
[ 1.133735] platform radeon_cp.0: firmware: requesting radeon/RV730_pfp.bin
[ 1.134519] platform radeon_cp.0: firmware: requesting radeon/RV730_me.bin
[ 1.135238] platform radeon_cp.0: firmware: requesting radeon/R700_rlc.bin
[ 1.183866] [drm] radeon: ib pool ready.
[ 1.348994] fb0: radeondrmfb frame buffer device
[ 1.348998] [drm] Initialized radeon 2.0.0 20080528 for 0000:04:00.0 on minor 0

Martin, is there anything else I should test? Thanks for the fix!

BTW, I'm testing with a Samsung 305T 2560x1600 monitor.

Martin Pitt (pitti)
tags: added: verification-done
removed: verification-needed
Revision history for this message
Leann Ogasawara (leannogasawara) wrote :

The patch noted in comment two to resolve this issue was accepted upstream as of 2.6.34-rc5. Since Maverick has most recently rebased with upstream as of 2.6.35-rc3 it already includes the patch. As a result I'm updating the Maverick nomination for this bug from Fix Committed to Fix Released. Thanks.

ogasawara@emiko:~/ubuntu-maverick$ git describe --contains b317a9ce2259e64258a802a5ca70dec45ac15dda
v2.6.34-rc5~6^2~7
ogasawara@emiko:~/ubuntu-maverick$ git show b317a9ce2259e64258a802a5ca70dec45ac15dda
commit b317a9ce2259e64258a802a5ca70dec45ac15dda
Author: Alex Deucher <email address hidden>
Date: Thu Apr 15 16:54:38 2010 -0400

    drm/radeon/kms/atom: fix dual-link DVI on DCE3.2/4.0

    Got broken during the evergreen merge.
    Fixes fdo bug 27001.

Changed in linux (Ubuntu Maverick):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (25.2 KiB)

This bug was fixed in the package linux - 2.6.32-23.37

---------------
linux (2.6.32-23.37) lucid-proposed; urgency=low

  [ Alex Deucher ]

  * SAUCE: drm/radeon/kms/atom: fix dual-link DVI on DCE3.2/4.0
    - LP: #564559

  [ Andy Whitcroft ]

  * [Config] ports -- build in dm-mod to enable LVM boot
    - LP: #560717
  * tools -- fix perf version extraction for multi-part flavours
    - LP: #555130
  * SAUCE: ACPI: EC: Allow multibyte access to EC (v3)
    - LP: #526354
  * [Config] enforce -- ensure dm_mod is built-in for LVM
    - LP: #560717
  * update to ubuntu-debian:7e708d33054c373faf41da23b73e8b48c342d958
    - LP: #570500, #576274

  [ Chase Douglas ]

  * Revert "(pre-stable): input: ALPS - Add signature for HP Pavilion dm3
    laptops"
    - LP: #550625
  * Enable ftrace function profiler
    - LP: #570389
  * enforce CONFIG_TMPFS_POSIX_ACL=y
    - LP: #575940

  [ Leann Ogasawara ]

  * Revert "staging/comdi -- disable"
    - LP: #563436
  * [Config] Enable multicast routing for sparc
    - LP: #416266
  * [Config] Add ahci.ko to virtual sub-flavour
    - LP: #570542

  [ Stefan Bader ]

  * Revert "SAUCE: drm/i915: Disable FBC on 915GM and 945GM"
    - LP: #588832

  [ Tim Gardner ]

  * ubuntu: rtl8192se -- update to version 0015.0127.2010
    - LP: #567016
  * [Config] Add atl1c to nic-modules udeb
    - LP: #557130

  [ Upstream Kernel Changes ]

  * Revert "(pre-stable) iwlwifi: fix nfreed--"
    - LP: #575853
  * Revert "backlight: mbp_nvidia_bl - add five more MacBook variants"
    - LP: #575853
  * Revert "(pre-stable) pata_via: Add VIA VX900 support"
    - LP: #575853
  * Revert "(pre-stable) x86-32, resume: do a global tlb flush in S4
    resume"
    - LP: #575853
  * Revert "x86: disable IOMMUs on kernel crash"
    - LP: #575853
  * Revert "sunrpc: fix peername failed on closed listener"
    - LP: #575853
  * Revert "sunrpc: move the close processing after do recvfrom method"
    - LP: #575853
  * Revert "(pre-stable) drm/edid: allow certain bogus edids to hit a fixup
    path rather than fail"
    - LP: #575853
  * Revert "drm/radeon/kms: don't print error on -ERESTARTSYS."
    - LP: #575853
  * Revert "ath9k: fix lockdep warning when unloading module" on stable
    kernels
    - LP: #588832
  * Staging: comedi: removed "depricated" from COMEDI_CB_BLOCK
    - LP: #483343
  * fat: fix buffer overflow in vfat_create_shortname()
    - LP: #575853
  * xfs: simplify inode teardown
    - LP: #575853
  * xfs: fix mmap_sem/iolock inversion in xfs_free_eofblocks
    - LP: #575853
  * xfs: I/O completion handlers must use NOFS allocations
    - LP: #575853
  * xfs: Wrapped journal record corruption on read at recovery
    - LP: #575853
  * xfs: Fix error return for fallocate() on XFS
    - LP: #575853
  * xfs: check for not fully initialized inodes in xfs_ireclaim
    - LP: #575853
  * xfs: fix timestamp handling in xfs_setattr
    - LP: #575853
  * xfs: Don't flush stale inodes
    - LP: #575853
  * xfs: Ensure we force all busy extents in range to disk
    - LP: #575853
  * xfs: reclaim inodes under a write lock
    - LP: #575853
  * xfs: Avoid inodes in reclaim when flushing from inode cache
    - LP: #575853
  * xfs: recla...

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
Changed in linux:
importance: Unknown → Critical
status: Unknown → Fix Released
Changed in linux:
importance: Critical → Unknown
Changed in linux:
importance: Unknown → Critical
Revision history for this message
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-lucid' to 'verification-done-lucid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-lucid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.